import React from "react";
import { CommonAndHTMLProps } from "../../Element/constants";
export declare type SelectElementType = HTMLSelectElement;
export declare type OptionElementType = HTMLOptionElement;
export interface SelectCustomProps {
    options: CommonAndHTMLProps<OptionElementType>[];
    label?: string;
    helpText?: string;
    errorText?: string;
}
export declare type OptionProps = CommonAndHTMLProps<OptionElementType>;
export declare type SelectProps = CommonAndHTMLProps<SelectElementType> & SelectCustomProps;
export declare const Select: React.ForwardRefExoticComponent<CommonAndHTMLProps<HTMLSelectElement> & SelectCustomProps & React.RefAttributes<HTMLSelectElement>>;
