import React from "react";
import { CommonAndHTMLProps } from "../Element/constants";
export interface ProgressBarLabelCustomProps {
    unit?: string;
}
export interface ProgressBarCustomProps {
    barBg?: string;
    barFill?: string;
    unit?: string;
    shape?: "rounded" | "curved";
}
export declare type ProgressBarElementType = HTMLProgressElement;
export declare type ProgressBarProps = CommonAndHTMLProps<ProgressBarElementType> & ProgressBarCustomProps;
export declare type ProgressBarMetaProps = CommonAndHTMLProps<HTMLDivElement> & ProgressBarLabelCustomProps;
export declare const ProgressBar: React.ForwardRefExoticComponent<CommonAndHTMLProps<HTMLProgressElement> & ProgressBarCustomProps & React.RefAttributes<HTMLProgressElement>>;
