import React from "react";
import { CommonAndHTMLProps } from "../Element/constants";
export interface SpinnerCustomProps {
    size?: "tiny" | "small" | "medium" | "large" | "huge";
}
export declare type SpinnerElementType = HTMLDivElement;
export declare type SpinnerProps = CommonAndHTMLProps<SpinnerElementType> & SpinnerCustomProps;
export declare const Spinner: React.ForwardRefExoticComponent<CommonAndHTMLProps<HTMLDivElement> & SpinnerCustomProps & React.RefAttributes<HTMLDivElement>>;
